
package example.com;

import java.util.LinkedList;
import java.util.List;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/list")
public class MyResource {

    @GET @Path("empty")
    @Produces(MediaType.APPLICATION_JSON)
    public List<Parent> getEmptyList() {
        List<Parent> result = new LinkedList<Parent>();
        return result;
    }

    @GET @Path("mixed-content")
    @Produces(MediaType.APPLICATION_JSON)
    public List<Parent> getMixedList() {
        List<Parent> result = new LinkedList<Parent>();
        result.add(new ChildA("alice", "Anderson"));
        result.add(new ChildB("Bob", "Brewin"));
        result.add(new Parent("Daddy"));
        return result;
    }
}
